classification
Title: asyncio: get list of connected clients
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: Dmitry Vinokurov, asvetlov, yselivanov
Priority: normal Keywords:

Created on 2017-08-01 05:07 by Dmitry Vinokurov, last changed 2019-04-17 15:57 by lzhao. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12648 merged lzhao, 2019-04-17 15:57
Messages (2)
msg299598 - (view) Author: Dmitry Vinokurov (Dmitry Vinokurov) Date: 2017-08-01 05:07
Hi!

I'm using python-opcua and wonder if it is possible to get list of clients connected to running server? I've asked such question in python-opcua repo https://github.com/FreeOpcUa/python-opcua/issues/480 and developers redirected me here.

Thanks in advance
msg308616 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2017-12-19 06:20
This tracker is not the best place for questions about development *with* Python -- it is for questions for development *of* Python itself.
Please use resources like StackOverflow next time.

`asyncio.Server.sockets` is a list of connected socket objects -- but usually Protocol implementation handles a list of alive clients separately, protocol.connection_made() and protocol.connection_lost() allows to do it easy.
History
Date User Action Args
2019-04-17 15:57:11lzhaosetpull_requests: + pull_request12789
2017-12-19 06:20:46asvetlovsetstatus: open -> closed

nosy: + asvetlov
messages: + msg308616

resolution: wont fix
stage: resolved
2017-08-01 05:07:44Dmitry Vinokurovcreate